Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network242.232.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
242.232.0.0
Broadcast address
242.239.255.255
First usable
242.232.0.1
Last usable
242.239.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F2E80000 · Integer 4075290624 to 4075814911
Reverse DNS zones
232.242.in-addr.arpa
233.242.in-addr.arpa
234.242.in-addr.arpa
235.242.in-addr.arpa
236.242.in-addr.arpa
237.242.in-addr.arpa
238.242.in-addr.arpa
239.242.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110010.11101000.00000000.00000000242.232.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network11110010.11101000.00000000.00000000242.232.0.0
Broadcast11110010.11101111.11111111.11111111242.239.255.255
Split into smaller subnets/22

242.232.0.0/13 makes 512 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1242.232.0.0/22242.232.0.1 to 242.232.3.254242.232.3.2551,022
2242.232.4.0/22242.232.4.1 to 242.232.7.254242.232.7.2551,022
3242.232.8.0/22242.232.8.1 to 242.232.11.254242.232.11.2551,022
4242.232.12.0/22242.232.12.1 to 242.232.15.254242.232.15.2551,022
5242.232.16.0/22242.232.16.1 to 242.232.19.254242.232.19.2551,022
6242.232.20.0/22242.232.20.1 to 242.232.23.254242.232.23.2551,022
7242.232.24.0/22242.232.24.1 to 242.232.27.254242.232.27.2551,022
8242.232.28.0/22242.232.28.1 to 242.232.31.254242.232.31.2551,022
9242.232.32.0/22242.232.32.1 to 242.232.35.254242.232.35.2551,022
10242.232.36.0/22242.232.36.1 to 242.232.39.254242.232.39.2551,022
11242.232.40.0/22242.232.40.1 to 242.232.43.254242.232.43.2551,022
12242.232.44.0/22242.232.44.1 to 242.232.47.254242.232.47.2551,022
13242.232.48.0/22242.232.48.1 to 242.232.51.254242.232.51.2551,022
14242.232.52.0/22242.232.52.1 to 242.232.55.254242.232.55.2551,022
15242.232.56.0/22242.232.56.1 to 242.232.59.254242.232.59.2551,022
16242.232.60.0/22242.232.60.1 to 242.232.63.254242.232.63.2551,022
17242.232.64.0/22242.232.64.1 to 242.232.67.254242.232.67.2551,022
18242.232.68.0/22242.232.68.1 to 242.232.71.254242.232.71.2551,022
19242.232.72.0/22242.232.72.1 to 242.232.75.254242.232.75.2551,022
20242.232.76.0/22242.232.76.1 to 242.232.79.254242.232.79.2551,022
21242.232.80.0/22242.232.80.1 to 242.232.83.254242.232.83.2551,022
22242.232.84.0/22242.232.84.1 to 242.232.87.254242.232.87.2551,022
23242.232.88.0/22242.232.88.1 to 242.232.91.254242.232.91.2551,022
24242.232.92.0/22242.232.92.1 to 242.232.95.254242.232.95.2551,022
25242.232.96.0/22242.232.96.1 to 242.232.99.254242.232.99.2551,022
26242.232.100.0/22242.232.100.1 to 242.232.103.254242.232.103.2551,022
27242.232.104.0/22242.232.104.1 to 242.232.107.254242.232.107.2551,022
28242.232.108.0/22242.232.108.1 to 242.232.111.254242.232.111.2551,022
29242.232.112.0/22242.232.112.1 to 242.232.115.254242.232.115.2551,022
30242.232.116.0/22242.232.116.1 to 242.232.119.254242.232.119.2551,022
31242.232.120.0/22242.232.120.1 to 242.232.123.254242.232.123.2551,022
32242.232.124.0/22242.232.124.1 to 242.232.127.254242.232.127.2551,022
33242.232.128.0/22242.232.128.1 to 242.232.131.254242.232.131.2551,022
34242.232.132.0/22242.232.132.1 to 242.232.135.254242.232.135.2551,022
35242.232.136.0/22242.232.136.1 to 242.232.139.254242.232.139.2551,022
36242.232.140.0/22242.232.140.1 to 242.232.143.254242.232.143.2551,022
37242.232.144.0/22242.232.144.1 to 242.232.147.254242.232.147.2551,022
38242.232.148.0/22242.232.148.1 to 242.232.151.254242.232.151.2551,022
39242.232.152.0/22242.232.152.1 to 242.232.155.254242.232.155.2551,022
40242.232.156.0/22242.232.156.1 to 242.232.159.254242.232.159.2551,022
41242.232.160.0/22242.232.160.1 to 242.232.163.254242.232.163.2551,022
42242.232.164.0/22242.232.164.1 to 242.232.167.254242.232.167.2551,022
43242.232.168.0/22242.232.168.1 to 242.232.171.254242.232.171.2551,022
44242.232.172.0/22242.232.172.1 to 242.232.175.254242.232.175.2551,022
45242.232.176.0/22242.232.176.1 to 242.232.179.254242.232.179.2551,022
46242.232.180.0/22242.232.180.1 to 242.232.183.254242.232.183.2551,022
47242.232.184.0/22242.232.184.1 to 242.232.187.254242.232.187.2551,022
48242.232.188.0/22242.232.188.1 to 242.232.191.254242.232.191.2551,022
49242.232.192.0/22242.232.192.1 to 242.232.195.254242.232.195.2551,022
50242.232.196.0/22242.232.196.1 to 242.232.199.254242.232.199.2551,022
51242.232.200.0/22242.232.200.1 to 242.232.203.254242.232.203.2551,022
52242.232.204.0/22242.232.204.1 to 242.232.207.254242.232.207.2551,022
53242.232.208.0/22242.232.208.1 to 242.232.211.254242.232.211.2551,022
54242.232.212.0/22242.232.212.1 to 242.232.215.254242.232.215.2551,022
55242.232.216.0/22242.232.216.1 to 242.232.219.254242.232.219.2551,022
56242.232.220.0/22242.232.220.1 to 242.232.223.254242.232.223.2551,022
57242.232.224.0/22242.232.224.1 to 242.232.227.254242.232.227.2551,022
58242.232.228.0/22242.232.228.1 to 242.232.231.254242.232.231.2551,022
59242.232.232.0/22242.232.232.1 to 242.232.235.254242.232.235.2551,022
60242.232.236.0/22242.232.236.1 to 242.232.239.254242.232.239.2551,022
61242.232.240.0/22242.232.240.1 to 242.232.243.254242.232.243.2551,022
62242.232.244.0/22242.232.244.1 to 242.232.247.254242.232.247.2551,022
63242.232.248.0/22242.232.248.1 to 242.232.251.254242.232.251.2551,022
64242.232.252.0/22242.232.252.1 to 242.232.255.254242.232.255.2551,022
65242.233.0.0/22242.233.0.1 to 242.233.3.254242.233.3.2551,022
66242.233.4.0/22242.233.4.1 to 242.233.7.254242.233.7.2551,022
67242.233.8.0/22242.233.8.1 to 242.233.11.254242.233.11.2551,022
68242.233.12.0/22242.233.12.1 to 242.233.15.254242.233.15.2551,022
69242.233.16.0/22242.233.16.1 to 242.233.19.254242.233.19.2551,022
70242.233.20.0/22242.233.20.1 to 242.233.23.254242.233.23.2551,022
71242.233.24.0/22242.233.24.1 to 242.233.27.254242.233.27.2551,022
72242.233.28.0/22242.233.28.1 to 242.233.31.254242.233.31.2551,022
73242.233.32.0/22242.233.32.1 to 242.233.35.254242.233.35.2551,022
74242.233.36.0/22242.233.36.1 to 242.233.39.254242.233.39.2551,022
75242.233.40.0/22242.233.40.1 to 242.233.43.254242.233.43.2551,022
76242.233.44.0/22242.233.44.1 to 242.233.47.254242.233.47.2551,022
77242.233.48.0/22242.233.48.1 to 242.233.51.254242.233.51.2551,022
78242.233.52.0/22242.233.52.1 to 242.233.55.254242.233.55.2551,022
79242.233.56.0/22242.233.56.1 to 242.233.59.254242.233.59.2551,022
80242.233.60.0/22242.233.60.1 to 242.233.63.254242.233.63.2551,022
81242.233.64.0/22242.233.64.1 to 242.233.67.254242.233.67.2551,022
82242.233.68.0/22242.233.68.1 to 242.233.71.254242.233.71.2551,022
83242.233.72.0/22242.233.72.1 to 242.233.75.254242.233.75.2551,022
84242.233.76.0/22242.233.76.1 to 242.233.79.254242.233.79.2551,022
85242.233.80.0/22242.233.80.1 to 242.233.83.254242.233.83.2551,022
86242.233.84.0/22242.233.84.1 to 242.233.87.254242.233.87.2551,022
87242.233.88.0/22242.233.88.1 to 242.233.91.254242.233.91.2551,022
88242.233.92.0/22242.233.92.1 to 242.233.95.254242.233.95.2551,022
89242.233.96.0/22242.233.96.1 to 242.233.99.254242.233.99.2551,022
90242.233.100.0/22242.233.100.1 to 242.233.103.254242.233.103.2551,022
91242.233.104.0/22242.233.104.1 to 242.233.107.254242.233.107.2551,022
92242.233.108.0/22242.233.108.1 to 242.233.111.254242.233.111.2551,022
93242.233.112.0/22242.233.112.1 to 242.233.115.254242.233.115.2551,022
94242.233.116.0/22242.233.116.1 to 242.233.119.254242.233.119.2551,022
95242.233.120.0/22242.233.120.1 to 242.233.123.254242.233.123.2551,022
96242.233.124.0/22242.233.124.1 to 242.233.127.254242.233.127.2551,022
97242.233.128.0/22242.233.128.1 to 242.233.131.254242.233.131.2551,022
98242.233.132.0/22242.233.132.1 to 242.233.135.254242.233.135.2551,022
99242.233.136.0/22242.233.136.1 to 242.233.139.254242.233.139.2551,022
100242.233.140.0/22242.233.140.1 to 242.233.143.254242.233.143.2551,022
101242.233.144.0/22242.233.144.1 to 242.233.147.254242.233.147.2551,022
102242.233.148.0/22242.233.148.1 to 242.233.151.254242.233.151.2551,022
103242.233.152.0/22242.233.152.1 to 242.233.155.254242.233.155.2551,022
104242.233.156.0/22242.233.156.1 to 242.233.159.254242.233.159.2551,022
105242.233.160.0/22242.233.160.1 to 242.233.163.254242.233.163.2551,022
106242.233.164.0/22242.233.164.1 to 242.233.167.254242.233.167.2551,022
107242.233.168.0/22242.233.168.1 to 242.233.171.254242.233.171.2551,022
108242.233.172.0/22242.233.172.1 to 242.233.175.254242.233.175.2551,022
109242.233.176.0/22242.233.176.1 to 242.233.179.254242.233.179.2551,022
110242.233.180.0/22242.233.180.1 to 242.233.183.254242.233.183.2551,022
111242.233.184.0/22242.233.184.1 to 242.233.187.254242.233.187.2551,022
112242.233.188.0/22242.233.188.1 to 242.233.191.254242.233.191.2551,022
113242.233.192.0/22242.233.192.1 to 242.233.195.254242.233.195.2551,022
114242.233.196.0/22242.233.196.1 to 242.233.199.254242.233.199.2551,022
115242.233.200.0/22242.233.200.1 to 242.233.203.254242.233.203.2551,022
116242.233.204.0/22242.233.204.1 to 242.233.207.254242.233.207.2551,022
117242.233.208.0/22242.233.208.1 to 242.233.211.254242.233.211.2551,022
118242.233.212.0/22242.233.212.1 to 242.233.215.254242.233.215.2551,022
119242.233.216.0/22242.233.216.1 to 242.233.219.254242.233.219.2551,022
120242.233.220.0/22242.233.220.1 to 242.233.223.254242.233.223.2551,022
121242.233.224.0/22242.233.224.1 to 242.233.227.254242.233.227.2551,022
122242.233.228.0/22242.233.228.1 to 242.233.231.254242.233.231.2551,022
123242.233.232.0/22242.233.232.1 to 242.233.235.254242.233.235.2551,022
124242.233.236.0/22242.233.236.1 to 242.233.239.254242.233.239.2551,022
125242.233.240.0/22242.233.240.1 to 242.233.243.254242.233.243.2551,022
126242.233.244.0/22242.233.244.1 to 242.233.247.254242.233.247.2551,022
127242.233.248.0/22242.233.248.1 to 242.233.251.254242.233.251.2551,022
128242.233.252.0/22242.233.252.1 to 242.233.255.254242.233.255.2551,022
129242.234.0.0/22242.234.0.1 to 242.234.3.254242.234.3.2551,022
130242.234.4.0/22242.234.4.1 to 242.234.7.254242.234.7.2551,022
131242.234.8.0/22242.234.8.1 to 242.234.11.254242.234.11.2551,022
132242.234.12.0/22242.234.12.1 to 242.234.15.254242.234.15.2551,022
133242.234.16.0/22242.234.16.1 to 242.234.19.254242.234.19.2551,022
134242.234.20.0/22242.234.20.1 to 242.234.23.254242.234.23.2551,022
135242.234.24.0/22242.234.24.1 to 242.234.27.254242.234.27.2551,022
136242.234.28.0/22242.234.28.1 to 242.234.31.254242.234.31.2551,022
137242.234.32.0/22242.234.32.1 to 242.234.35.254242.234.35.2551,022
138242.234.36.0/22242.234.36.1 to 242.234.39.254242.234.39.2551,022
139242.234.40.0/22242.234.40.1 to 242.234.43.254242.234.43.2551,022
140242.234.44.0/22242.234.44.1 to 242.234.47.254242.234.47.2551,022
141242.234.48.0/22242.234.48.1 to 242.234.51.254242.234.51.2551,022
142242.234.52.0/22242.234.52.1 to 242.234.55.254242.234.55.2551,022
143242.234.56.0/22242.234.56.1 to 242.234.59.254242.234.59.2551,022
144242.234.60.0/22242.234.60.1 to 242.234.63.254242.234.63.2551,022
145242.234.64.0/22242.234.64.1 to 242.234.67.254242.234.67.2551,022
146242.234.68.0/22242.234.68.1 to 242.234.71.254242.234.71.2551,022
147242.234.72.0/22242.234.72.1 to 242.234.75.254242.234.75.2551,022
148242.234.76.0/22242.234.76.1 to 242.234.79.254242.234.79.2551,022
149242.234.80.0/22242.234.80.1 to 242.234.83.254242.234.83.2551,022
150242.234.84.0/22242.234.84.1 to 242.234.87.254242.234.87.2551,022
151242.234.88.0/22242.234.88.1 to 242.234.91.254242.234.91.2551,022
152242.234.92.0/22242.234.92.1 to 242.234.95.254242.234.95.2551,022
153242.234.96.0/22242.234.96.1 to 242.234.99.254242.234.99.2551,022
154242.234.100.0/22242.234.100.1 to 242.234.103.254242.234.103.2551,022
155242.234.104.0/22242.234.104.1 to 242.234.107.254242.234.107.2551,022
156242.234.108.0/22242.234.108.1 to 242.234.111.254242.234.111.2551,022
157242.234.112.0/22242.234.112.1 to 242.234.115.254242.234.115.2551,022
158242.234.116.0/22242.234.116.1 to 242.234.119.254242.234.119.2551,022
159242.234.120.0/22242.234.120.1 to 242.234.123.254242.234.123.2551,022
160242.234.124.0/22242.234.124.1 to 242.234.127.254242.234.127.2551,022
161242.234.128.0/22242.234.128.1 to 242.234.131.254242.234.131.2551,022
162242.234.132.0/22242.234.132.1 to 242.234.135.254242.234.135.2551,022
163242.234.136.0/22242.234.136.1 to 242.234.139.254242.234.139.2551,022
164242.234.140.0/22242.234.140.1 to 242.234.143.254242.234.143.2551,022
165242.234.144.0/22242.234.144.1 to 242.234.147.254242.234.147.2551,022
166242.234.148.0/22242.234.148.1 to 242.234.151.254242.234.151.2551,022
167242.234.152.0/22242.234.152.1 to 242.234.155.254242.234.155.2551,022
168242.234.156.0/22242.234.156.1 to 242.234.159.254242.234.159.2551,022
169242.234.160.0/22242.234.160.1 to 242.234.163.254242.234.163.2551,022
170242.234.164.0/22242.234.164.1 to 242.234.167.254242.234.167.2551,022
171242.234.168.0/22242.234.168.1 to 242.234.171.254242.234.171.2551,022
172242.234.172.0/22242.234.172.1 to 242.234.175.254242.234.175.2551,022
173242.234.176.0/22242.234.176.1 to 242.234.179.254242.234.179.2551,022
174242.234.180.0/22242.234.180.1 to 242.234.183.254242.234.183.2551,022
175242.234.184.0/22242.234.184.1 to 242.234.187.254242.234.187.2551,022
176242.234.188.0/22242.234.188.1 to 242.234.191.254242.234.191.2551,022
177242.234.192.0/22242.234.192.1 to 242.234.195.254242.234.195.2551,022
178242.234.196.0/22242.234.196.1 to 242.234.199.254242.234.199.2551,022
179242.234.200.0/22242.234.200.1 to 242.234.203.254242.234.203.2551,022
180242.234.204.0/22242.234.204.1 to 242.234.207.254242.234.207.2551,022
181242.234.208.0/22242.234.208.1 to 242.234.211.254242.234.211.2551,022
182242.234.212.0/22242.234.212.1 to 242.234.215.254242.234.215.2551,022
183242.234.216.0/22242.234.216.1 to 242.234.219.254242.234.219.2551,022
184242.234.220.0/22242.234.220.1 to 242.234.223.254242.234.223.2551,022
185242.234.224.0/22242.234.224.1 to 242.234.227.254242.234.227.2551,022
186242.234.228.0/22242.234.228.1 to 242.234.231.254242.234.231.2551,022
187242.234.232.0/22242.234.232.1 to 242.234.235.254242.234.235.2551,022
188242.234.236.0/22242.234.236.1 to 242.234.239.254242.234.239.2551,022
189242.234.240.0/22242.234.240.1 to 242.234.243.254242.234.243.2551,022
190242.234.244.0/22242.234.244.1 to 242.234.247.254242.234.247.2551,022
191242.234.248.0/22242.234.248.1 to 242.234.251.254242.234.251.2551,022
192242.234.252.0/22242.234.252.1 to 242.234.255.254242.234.255.2551,022
193242.235.0.0/22242.235.0.1 to 242.235.3.254242.235.3.2551,022
194242.235.4.0/22242.235.4.1 to 242.235.7.254242.235.7.2551,022
195242.235.8.0/22242.235.8.1 to 242.235.11.254242.235.11.2551,022
196242.235.12.0/22242.235.12.1 to 242.235.15.254242.235.15.2551,022
197242.235.16.0/22242.235.16.1 to 242.235.19.254242.235.19.2551,022
198242.235.20.0/22242.235.20.1 to 242.235.23.254242.235.23.2551,022
199242.235.24.0/22242.235.24.1 to 242.235.27.254242.235.27.2551,022
200242.235.28.0/22242.235.28.1 to 242.235.31.254242.235.31.2551,022
201242.235.32.0/22242.235.32.1 to 242.235.35.254242.235.35.2551,022
202242.235.36.0/22242.235.36.1 to 242.235.39.254242.235.39.2551,022
203242.235.40.0/22242.235.40.1 to 242.235.43.254242.235.43.2551,022
204242.235.44.0/22242.235.44.1 to 242.235.47.254242.235.47.2551,022
205242.235.48.0/22242.235.48.1 to 242.235.51.254242.235.51.2551,022
206242.235.52.0/22242.235.52.1 to 242.235.55.254242.235.55.2551,022
207242.235.56.0/22242.235.56.1 to 242.235.59.254242.235.59.2551,022
208242.235.60.0/22242.235.60.1 to 242.235.63.254242.235.63.2551,022
209242.235.64.0/22242.235.64.1 to 242.235.67.254242.235.67.2551,022
210242.235.68.0/22242.235.68.1 to 242.235.71.254242.235.71.2551,022
211242.235.72.0/22242.235.72.1 to 242.235.75.254242.235.75.2551,022
212242.235.76.0/22242.235.76.1 to 242.235.79.254242.235.79.2551,022
213242.235.80.0/22242.235.80.1 to 242.235.83.254242.235.83.2551,022
214242.235.84.0/22242.235.84.1 to 242.235.87.254242.235.87.2551,022
215242.235.88.0/22242.235.88.1 to 242.235.91.254242.235.91.2551,022
216242.235.92.0/22242.235.92.1 to 242.235.95.254242.235.95.2551,022
217242.235.96.0/22242.235.96.1 to 242.235.99.254242.235.99.2551,022
218242.235.100.0/22242.235.100.1 to 242.235.103.254242.235.103.2551,022
219242.235.104.0/22242.235.104.1 to 242.235.107.254242.235.107.2551,022
220242.235.108.0/22242.235.108.1 to 242.235.111.254242.235.111.2551,022
221242.235.112.0/22242.235.112.1 to 242.235.115.254242.235.115.2551,022
222242.235.116.0/22242.235.116.1 to 242.235.119.254242.235.119.2551,022
223242.235.120.0/22242.235.120.1 to 242.235.123.254242.235.123.2551,022
224242.235.124.0/22242.235.124.1 to 242.235.127.254242.235.127.2551,022
225242.235.128.0/22242.235.128.1 to 242.235.131.254242.235.131.2551,022
226242.235.132.0/22242.235.132.1 to 242.235.135.254242.235.135.2551,022
227242.235.136.0/22242.235.136.1 to 242.235.139.254242.235.139.2551,022
228242.235.140.0/22242.235.140.1 to 242.235.143.254242.235.143.2551,022
229242.235.144.0/22242.235.144.1 to 242.235.147.254242.235.147.2551,022
230242.235.148.0/22242.235.148.1 to 242.235.151.254242.235.151.2551,022
231242.235.152.0/22242.235.152.1 to 242.235.155.254242.235.155.2551,022
232242.235.156.0/22242.235.156.1 to 242.235.159.254242.235.159.2551,022
233242.235.160.0/22242.235.160.1 to 242.235.163.254242.235.163.2551,022
234242.235.164.0/22242.235.164.1 to 242.235.167.254242.235.167.2551,022
235242.235.168.0/22242.235.168.1 to 242.235.171.254242.235.171.2551,022
236242.235.172.0/22242.235.172.1 to 242.235.175.254242.235.175.2551,022
237242.235.176.0/22242.235.176.1 to 242.235.179.254242.235.179.2551,022
238242.235.180.0/22242.235.180.1 to 242.235.183.254242.235.183.2551,022
239242.235.184.0/22242.235.184.1 to 242.235.187.254242.235.187.2551,022
240242.235.188.0/22242.235.188.1 to 242.235.191.254242.235.191.2551,022
241242.235.192.0/22242.235.192.1 to 242.235.195.254242.235.195.2551,022
242242.235.196.0/22242.235.196.1 to 242.235.199.254242.235.199.2551,022
243242.235.200.0/22242.235.200.1 to 242.235.203.254242.235.203.2551,022
244242.235.204.0/22242.235.204.1 to 242.235.207.254242.235.207.2551,022
245242.235.208.0/22242.235.208.1 to 242.235.211.254242.235.211.2551,022
246242.235.212.0/22242.235.212.1 to 242.235.215.254242.235.215.2551,022
247242.235.216.0/22242.235.216.1 to 242.235.219.254242.235.219.2551,022
248242.235.220.0/22242.235.220.1 to 242.235.223.254242.235.223.2551,022
249242.235.224.0/22242.235.224.1 to 242.235.227.254242.235.227.2551,022
250242.235.228.0/22242.235.228.1 to 242.235.231.254242.235.231.2551,022
251242.235.232.0/22242.235.232.1 to 242.235.235.254242.235.235.2551,022
252242.235.236.0/22242.235.236.1 to 242.235.239.254242.235.239.2551,022
253242.235.240.0/22242.235.240.1 to 242.235.243.254242.235.243.2551,022
254242.235.244.0/22242.235.244.1 to 242.235.247.254242.235.247.2551,022
255242.235.248.0/22242.235.248.1 to 242.235.251.254242.235.251.2551,022
256242.235.252.0/22242.235.252.1 to 242.235.255.254242.235.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses